Page MenuHomePhabricator

Generate translatable autoComments for undo and restore operations
Closed, ResolvedPublic

Description

Undo and Restore currently use automatic summaries (as a suggestion to the user) in the content language. It would be nicer if the undo/restore form would ask the user for a reason, and then prepend an autoComment to that reason before saving. This way, the basic information (e.g. "restored revision X") could be translated using the autoComment translation mechanism also used for API edits.

Details

Reference
bz39134

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:03 AM
bzimport set Reference to bz39134.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Aug 8 2012, 10:48 AM

Hint: in EditEntityAction::makeUndoSummary, use a Summary object and a SummaryFormatter to generate a translatable ("magic") auto-summary.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

Change 287211 had a related patch set uploaded (by Matěj Suchánek):
Generate autoComments for undo and restore operations

https://gerrit.wikimedia.org/r/287211

matej_suchanek updated the task description. (Show Details)
matej_suchanek removed a subscriber: Wikidata-bugs.
hoo added a subscriber: hoo.May 7 2016, 12:49 PM

Change 287211 merged by jenkins-bot:
Generate autoComments for undo and restore operations

https://gerrit.wikimedia.org/r/287211

hoo closed this task as Resolved.May 7 2016, 12:57 PM
hoo removed projects: Patch-For-Review, patch-welcome.

Solved, after almost 4 years.